﻿<%@ Page Language="C#" Buffer="true" MasterPageFile="~/Masters/layout.Master" AutoEventWireup="true" CodeBehind="calculator.aspx.cs" Inherits="MFCalculator.Calculator" Culture="auto" UICulture="auto" Title="MF Calculator" %>
<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="asp" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="server">    
    <script type= "text/javascript">
        $(document).ready(function(){
	        var button = $('#loadFile'), interval;
	        new Ajax_upload(button, {
		        action: 'FileHandler.ashx', 
		        name: 'myfile',
		        onSubmit: function(file, ext) {
			        this.disable();
		        },
		        onComplete: function(file, response) {
			        window.clearInterval(interval);

			        if ((response.toString().split('>')[1].split('<')[0].toString()) == "failure") {
                        alert("Invalid extension");
                    }
			        else {
			            window.location = window.location;
			        }
			    
                    this.enable();
		        }
	        });

            ddimgtooltip.init('*[rel^=imgtip]');
        });

        function OpenMyPage() {
            var nFactor = document.getElementById('<%=txtNfactor.ClientID%>');
            var scoreVSfrenquency = document.getElementById('<%=txtScore.ClientID%>');
            var fileId = document.getElementById('<%=hfFile.ClientID%>');
            var viewType = document.getElementById('<%=hfView.ClientID%>');
            nFactor = nFactor.value;
            scoreVSfrenquency = scoreVSfrenquency.value;
            fileId = fileId.value;
            viewType = viewType.value;

            if (fileId != "0")
            {
                var sUrl = "viewTree.aspx?fileId=" + fileId + "&viewType=" + viewType + "&nFactor=" + nFactor + "&scoreVSfrenquency=" + scoreVSfrenquency;
                ajaxwin = dhtmlwindow.open("ajaxbox", "ajax", sUrl, "GTree (Corter 1982; Sattath & Tversky, 1977)", "width=800px,height=400px,left=300px,top=100px,resize=1,scrolling=1")
            }
        }
    </script>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="CPHbody" runat="server">

   <div class="Central">
        <div id="idPesquisa"></div>
        <asp:ToolkitScriptManager ID="ToolkitScriptManager1" runat="server" CombineScripts="True" /> 

        <script type="text/javascript">
            var btn = null;
            var btnCursor;

            function beginRequest(sender, args) {
                btn = document.getElementById(args._postBackElement.id);
                btnCursor = btn.style.cursor;
                document.body.style.cursor = "wait";
                btn.style.cursor = "wait";
                btn.disabled = true;
            }

            function pageLoaded(sender, args) {
                if (btn != null) {
                    btn.disabled = false;
                    document.body.style.cursor = "default";
                    btn.style.cursor = btnCursor;
                }
            }

            Sys.WebForms.PageRequestManager.getInstance().add_beginRequest(beginRequest);
            Sys.WebForms.PageRequestManager.getInstance().add_pageLoaded(pageLoaded);
        </script>                   

        <asp:UpdatePanel ID="UpdatePanel1" runat="server">
        <ContentTemplate>
            <div id="changeParameter" class="changeParameter" runat="server"> 
           
                <table class="Tabela" border="0">
                <tr>
                    <td><asp:Label ID="lblFactor" runat="server" meta:resourcekey="Nfactor" />&nbsp;</td>
                    <td>
                        <asp:TextBox ID="txtNfactor" runat="server" CssClass="factor" Text="10" MaxLength="3" AutoPostBack="true" OnTextChanged="UpDown_Click" />
                        <asp:ImageButton ID="IBupNF" runat="server" ImageUrl="~/Images/up.png" meta:resourcekey="IBupNFResource1" style="cursor: pointer" />
                        <asp:ImageButton ID="IBdownNF" runat="server" ImageUrl="~/Images/down.png" meta:resourcekey="IBdonwNFResource1" style="cursor: pointer" />
                    </td>
                    <td colspan="2" align="center">
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:Label ID="ScoreSimilarity" runat="server" meta:resourcekey="ScoreSimilarity" /> &nbsp;
                    </td>
                    <td>
                        <asp:TextBox ID="txtScore" runat="server" CssClass="factor" Text="50" MaxLength="2" AutoPostBack="true" OnTextChanged="UpDown_Click" />
                        <asp:ImageButton ID="IBupScore" runat="server" ImageUrl="~/Images/up.png" meta:resourcekey="IBupNFResource1" style="cursor: pointer" />
                        <asp:ImageButton ID="IBdownScore" runat="server" ImageUrl="~/Images/down.png" meta:resourcekey="IBdonwNFResource1" style="cursor: pointer" />
                    </td>
                    <td align="left" colspan="2">
                        <asp:label ID="lblPersons" runat="server" class="infoLable" meta:resourcekey="infoLablePersons"/>
                        <asp:Label ID="lblNumOfPersons" runat="server" />
                        <asp:label ID="lblItens"  class="infoLable" runat="server" meta:resourcekey="infoLable" />
                        <asp:Label ID="lblNumOfItems" runat="server" />
                        <br/>
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:Label ID="FrequencySimilarity" runat="server" meta:resourcekey="FrequencySimilarity" /> &nbsp;
                    </td>
                    <td>
                        <asp:TextBox ID="txtFrequency" runat="server" CssClass="factor" Text="50" MaxLength="2" AutoPostBack="true" OnTextChanged="UpDown_Click" />
                        <asp:ImageButton ID="IBupFreq" runat="server" ImageUrl="~/Images/up.png" meta:resourcekey="IBupNFResource1" style="cursor: pointer" />
                        <asp:ImageButton ID="IBdownFreq" runat="server" ImageUrl="~/Images/down.png" meta:resourcekey="IBdonwNFResource1" style="cursor: pointer" />
                    </td>
                    <td align="left">
                        <asp:Label ID="lblAverage" runat="server" class="infoLable" meta:resourcekey="Average" Visible="false" />
                        <asp:Label ID="lblAverageValue" runat="server" CssClass="media" Visible="false" />
                    </td>
                    <td>&nbsp;</td>
                </tr>
                <tr>
                    <td colspan="2"><br /></td>
                    <td align="right">&nbsp;</td>
                    <td>&nbsp;</td>
                </tr>
                </table>

                <asp:HiddenField ID="hfFile" runat="server" Value="0" />
                <div style="font-size:5px"></div>
    
            </div>

            <div id="Vistas" runat="server" class="VistasResultado">
                <asp:LinkButton ID="lbScore" runat="server" CommandArgument="1" onclick="CalcType_Click" meta:resourcekey="LBScoreResource" rel="imgtip[1]" Font-Bold="false" CssClass="unselected" /> |
                <asp:LinkButton ID="lbFrequency" runat="server" CommandArgument="2" onclick="CalcType_Click" meta:resourcekey="LBFrequencyResource" rel="imgtip[2]" Font-Bold="false" CssClass="unselected" /> |
                <asp:LinkButton ID="lbResult" runat="server" CommandArgument="0" onclick="CalcType_Click" meta:resourcekey="LBResultResource" rel="imgtip[0]" Font-Bold="false" CssClass="unselected" />
                <br/>
                <asp:LinkButton ID="lbGtree" runat="server" OnClientClick="OpenMyPage(); return false;" meta:resourcekey="LBDisplayGraf" rel="imgtip[3]" Font-Bold="false" CssClass="unselected" />

                <asp:HiddenField ID="hfView" runat="server" Value="0" />
            </div>
            
            <div id="tableView" class="tableView" runat="server"></div>
        </ContentTemplate>
        </asp:UpdatePanel>
    </div>

</asp:Content>

<asp:Content ID="Content3" ContentPlaceHolderID="CPHportLet" runat="server">
    <div class="lateral">
        <div id="loadFile" class="button">
            <asp:Label runat="server" meta:resourcekey="OpenMFC" />
        </div>
        <div class="lateralLine">
            <div class="lateralImage"></div>
            <div class="lateralImageFundo"></div>
            <div class="lateralCPH">
                &nbsp;<br />
                <div runat="server" id="divLastResult" style=""></div>
            </div>
        </div>
    </div>
</asp:Content>
